org.springframework.transaction.annotation

## Class SpringTransactionAnnotationParser

- java.lang.Object
- - org.springframework.transaction.annotation.SpringTransactionAnnotationParser

- All Implemented Interfaces:
    Serializable, TransactionAnnotationParser

      public class SpringTransactionAnnotationParser
      extends Object
      implements TransactionAnnotationParser, Serializable

  Strategy implementation for parsing Spring's `Transactional` annotation.
  Since:
    2.5
  Author:
    Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringTransactionAnnotationParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `int` | `hashCode()`
    `TransactionAttribute` | `parseTransactionAnnotation(AnnotatedElement ae)` Parse the transaction attribute for the given method or class, based on a known annotation type.
    `protected TransactionAttribute` | `parseTransactionAnnotation(AnnotationAttributes attributes)`
    `TransactionAttribute` | `parseTransactionAnnotation(Transactional ann)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringTransactionAnnotationParser

          public SpringTransactionAnnotationParser()

  - ### Method Detail

    - #### parseTransactionAnnotation

          public TransactionAttribute parseTransactionAnnotation(AnnotatedElement ae)

      Description copied from interface: `TransactionAnnotationParser`
      Parse the transaction attribute for the given method or class, based on a known annotation type.

      This essentially parses a known transaction annotation into Spring's metadata attribute class. Returns `null` if the method/class is not transactional.

      Specified by:
        `parseTransactionAnnotation` in interface `TransactionAnnotationParser`
      Parameters:
        `ae` - the annotated method or class
      Returns:
        TransactionAttribute the configured transaction attribute, or `null` if none was found
      See Also:
        `AnnotationTransactionAttributeSource.determineTransactionAttribute(java.lang.reflect.AnnotatedElement)`

    - #### parseTransactionAnnotation

          public TransactionAttribute parseTransactionAnnotation(Transactional ann)

    - #### parseTransactionAnnotation

          protected TransactionAttribute parseTransactionAnnotation(AnnotationAttributes attributes)

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`